The Across API is being upgraded. V4 will be deprecated soon and integration support for V4 has ended. To learn more, reach out here.

Get supported sources for swap operations

Returns a list of all supported sources that support crosschain swaps on Across Protocol.

GET
/swap/sources

Authorization

bearerAuth
AuthorizationBearer <token>

API key for authentication.

In: header

Query Parameters

chainId?integer

Chain ID of the chain to get supported sources for.

Range1 <= value
Value in1 | 10 | 56 | 130 | 137 | 143 | 232 | 324 | 480 | 999 | 1135 | 1337 | 1868 | 2337 | 4217 | 4326 | 4663 | 8453 | 9745 | 34443 | 42161 | 43114 | 57073 | 59144 | 81457 | 84532 | 421614 | 7777777 | 11155111 | 11155420 | 728126428 | 34268394551451

Response Body

application/json

application/json

application/json

curl -X GET "https://across.to/api/swap/sources?chainId=1"
[
  "0x_rfq",
  "1inch",
  "angle",
  "arbswap",
  "balancer",
  "balancer_v2",
  "balancer_v3",
  "camelot",
  "camelot_v2",
  "camelot_v3",
  "..."
]
{
  "type": "AcrossApiError",
  "code": "INVALID_PARAM",
  "status": 400,
  "message": "Invalid request parameters"
}
{
  "type": "AcrossApiError",
  "code": "INTERNAL_SERVER_ERROR",
  "status": 500,
  "message": "Internal server error"
}